package jwsunleashed.trading.ejb;

import java.rmi.*;
import javax.ejb.*;
import java.util.*;

public interface PutOrderHome extends EJBHome
{
    public PutOrder create() throws RemoteException, CreateException;

    public PutOrder findByPrimaryKey(Integer putOrderID)
        throws RemoteException, FinderException;
    
    public Collection findBySellerID(int sellerID)
        throws RemoteException, FinderException;
    
    public Collection findMatches(String stock, int shares,
        int price) throws RemoteException, FinderException;
}
